# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/linux,bt-sco.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Bluetooth SCO Audio Codec

maintainers:
  - Mark Brown <broonie@kernel.org>

properties:
  '#sound-dai-cells':
    enum:
      - 0

      # For Wideband PCM
      - 1

  compatible:
    enum:
      - delta,dfbmcs320
      - linux,bt-sco

required:
  - '#sound-dai-cells'
  - compatible

additionalProperties: false

examples:
  - |
    codec {
        #sound-dai-cells = <0>;
        compatible = "linux,bt-sco";
    };

...
